Stop sharing with one person
curl --request DELETE \
--url https://{host}/api/v1/wishlists/{wishlistId}/shares/{shareId} \
--header 'X-Shopify-ApiKey: <api-key>' \
--header 'X-Shopify-CustomerId: <api-key>' \
--header 'X-Shopify-Shop: <api-key>'const options = {
method: 'DELETE',
headers: {
'X-Shopify-ApiKey': '<api-key>',
'X-Shopify-Shop': '<api-key>',
'X-Shopify-CustomerId': '<api-key>'
}
};
fetch('https://{host}/api/v1/wishlists/{wishlistId}/shares/{shareId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/api/v1/wishlists/{wishlistId}/shares/{shareId}"
headers = {
"X-Shopify-ApiKey": "<api-key>",
"X-Shopify-Shop": "<api-key>",
"X-Shopify-CustomerId": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)import Foundation
let url = URL(string: "https://{host}/api/v1/wishlists/{wishlistId}/shares/{shareId}")!
var request = URLRequest(url: url)
request.httpMethod = "DELETE"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"X-Shopify-ApiKey": "<api-key>",
"X-Shopify-Shop": "<api-key>",
"X-Shopify-CustomerId": "<api-key>"
]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val request = Request.Builder()
.url("https://{host}/api/v1/wishlists/{wishlistId}/shares/{shareId}")
.delete(null)
.addHeader("X-Shopify-ApiKey", "<api-key>")
.addHeader("X-Shopify-Shop", "<api-key>")
.addHeader("X-Shopify-CustomerId", "<api-key>")
.build()
val response = client.newCall(request).execute(){
"data": null,
"message": "Sharing stopped",
"messageKey": "success_share_stopped"
}{
"title": "Malformed request",
"status": 400,
"code": "MALFORMED_REQUEST",
"message": "wishlistId must be a number.",
"messageKey": null
}{
"title": "Unauthenticated",
"status": 401,
"code": "UNAUTHENTICATED",
"message": "Invalid API Key",
"messageKey": null
}{
"title": "Guest disabled",
"status": 403,
"code": "GUEST_DISABLED",
"message": "Please log in to save items to your wishlist.",
"messageKey": "error_guest_login_required"
}{
"title": "Wishlist not found",
"status": 404,
"code": "WISHLIST_NOT_FOUND",
"message": "Wishlist not found",
"messageKey": "error_wishlist_not_found"
}{
"title": "Version retired",
"status": 410,
"code": "VERSION_RETIRED",
"message": "Please update the app to continue.",
"messageKey": "error_app_update_required"
}{
"title": "Rate limited",
"status": 429,
"code": "RATE_LIMITED",
"message": "Too many requests. Please try again in a minute.",
"messageKey": "error_too_many_requests"
}{
"title": "Internal error",
"status": 500,
"code": "INTERNAL_ERROR",
"message": "Something went wrong. Please try again.",
"messageKey": "error_something_went_wrong"
}Sharing
Stop sharing with one person
DELETE
/
wishlists
/
{wishlistId}
/
shares
/
{shareId}
Stop sharing with one person
curl --request DELETE \
--url https://{host}/api/v1/wishlists/{wishlistId}/shares/{shareId} \
--header 'X-Shopify-ApiKey: <api-key>' \
--header 'X-Shopify-CustomerId: <api-key>' \
--header 'X-Shopify-Shop: <api-key>'const options = {
method: 'DELETE',
headers: {
'X-Shopify-ApiKey': '<api-key>',
'X-Shopify-Shop': '<api-key>',
'X-Shopify-CustomerId': '<api-key>'
}
};
fetch('https://{host}/api/v1/wishlists/{wishlistId}/shares/{shareId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/api/v1/wishlists/{wishlistId}/shares/{shareId}"
headers = {
"X-Shopify-ApiKey": "<api-key>",
"X-Shopify-Shop": "<api-key>",
"X-Shopify-CustomerId": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)import Foundation
let url = URL(string: "https://{host}/api/v1/wishlists/{wishlistId}/shares/{shareId}")!
var request = URLRequest(url: url)
request.httpMethod = "DELETE"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"X-Shopify-ApiKey": "<api-key>",
"X-Shopify-Shop": "<api-key>",
"X-Shopify-CustomerId": "<api-key>"
]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val request = Request.Builder()
.url("https://{host}/api/v1/wishlists/{wishlistId}/shares/{shareId}")
.delete(null)
.addHeader("X-Shopify-ApiKey", "<api-key>")
.addHeader("X-Shopify-Shop", "<api-key>")
.addHeader("X-Shopify-CustomerId", "<api-key>")
.build()
val response = client.newCall(request).execute(){
"data": null,
"message": "Sharing stopped",
"messageKey": "success_share_stopped"
}{
"title": "Malformed request",
"status": 400,
"code": "MALFORMED_REQUEST",
"message": "wishlistId must be a number.",
"messageKey": null
}{
"title": "Unauthenticated",
"status": 401,
"code": "UNAUTHENTICATED",
"message": "Invalid API Key",
"messageKey": null
}{
"title": "Guest disabled",
"status": 403,
"code": "GUEST_DISABLED",
"message": "Please log in to save items to your wishlist.",
"messageKey": "error_guest_login_required"
}{
"title": "Wishlist not found",
"status": 404,
"code": "WISHLIST_NOT_FOUND",
"message": "Wishlist not found",
"messageKey": "error_wishlist_not_found"
}{
"title": "Version retired",
"status": 410,
"code": "VERSION_RETIRED",
"message": "Please update the app to continue.",
"messageKey": "error_app_update_required"
}{
"title": "Rate limited",
"status": 429,
"code": "RATE_LIMITED",
"message": "Too many requests. Please try again in a minute.",
"messageKey": "error_too_many_requests"
}{
"title": "Internal error",
"status": 500,
"code": "INTERNAL_ERROR",
"message": "Something went wrong. Please try again.",
"messageKey": "error_something_went_wrong"
}Authorizations
ApiKey & Shop & CustomerIdApiKey & Shop & SessionId
Store API key from Wishlist settings > API Settings.
The store's myshopify domain, e.g. your-store.myshopify.com.
Numeric Shopify customer id of a logged-in shopper. Verified against the store on every call.
Path Parameters
Numeric wishlist id.
Pattern:
^\d+$shares[].id (numeric) or an sh_ id.
Response
Stopped